import { Readable } from "stream";
export interface Segment {
    cmd: string;
    args: string[];
    label?: string;
    on_stderr?: (data: Buffer) => void;
    on_close?: (code: number) => void;
}
export declare class Pipe {
    readonly input: Readable;
    private m_output;
    constructor(input: Readable, segments?: Segment[]);
    get output(): Readable;
    add(segment: Segment): Pipe;
}
